package com.jxy.auth.service;

import com.jxy.auth.entity.GetEmailCodeEntity;
import com.jxy.common.core.Result.R;

/**
 * @Description TODO
 * @Date 2022/11/18 14:56
 * @Author 杜懿
 */
public interface MailService {
    /**
     * 发送纯文本邮件
     * @param to
     * @param subject
     * @param text
     */
    public void sendTextMailMessage(String to,String subject,String text);

    /**
     * 发送html邮件
     * @param to
     * @param subject
     * @param content
     */
    public void sendHtmlMailMessage(String to,String subject,String content);

    /**
     * 发送带附件的邮件
     * @param to      邮件收信人
     * @param subject 邮件主题
     * @param content 邮件内容
     * @param filePath 附件路径
     */
    public void sendAttachmentMailMessage(String to,String subject,String content,String filePath);

    /**
     * 发送注册邮箱验证码
     * @param to
     * @param code
     */
    public void sendCodeMailMessage(String to, String code);

    /**
     * 发送重置密码邮箱验证码
     * @param to
     * @param code
     */
    public void sendResetPwdMailMessage(String to, String code);



    public R<?> emailCode(GetEmailCodeEntity entity);

    public R<?> AddCreditCode(GetEmailCodeEntity entity);

    public R<?> resetPwdCode(GetEmailCodeEntity entity);
}
